Subject: Re: [PATCH bpf-next v4 1/2] bpf, xdp: make bpf_redirect_map() a map operation

From: Jesper Dangaard Brouer <[email-masked]>
Date: Fri, 26 Feb 2021 15:27:10 +0100

On Fri, 26 Feb 2021 12:40:33 +0100
Björn Töpel <[email-masked]> wrote:

> @Jesper Do you have a CPUMAP benchmark that you can point me to? I just
> did functional testing for CPUMAP

I usually just use the xdp_redirect_cpu samples/bpf program.

Your optimization will help the RX enqueue side, but the bottleneck for
CPUMAP is the remote CPU dequeue.  You should still be able to see that
RX-side performance improve, and that should be enough (even-though
packets are dropped before reaching remote CPU).  I'm not going to ask
you to test scale out to more CPUs.

-- 
Best regards,
  Jesper Dangaard Brouer
  MSc.CS, Principal Kernel Engineer at Red Hat
  LinkedIn: http://www.linkedin.com/in/brouer